Bug 232502 - mail/postfix + postfix-current: Fix build on FreeBSD 13-CURRENT
Summary: mail/postfix + postfix-current: Fix build on FreeBSD 13-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-21 10:45 UTC by Kai Knoblich
Modified: 2018-10-23 06:01 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ohauer)


Attachments
postfix-fix-build-on-FreeBSD13.patch (3.44 KB, patch)
2018-10-21 10:45 UTC, Kai Knoblich
kai: maintainer-approval? (ohauer)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-10-21 10:45:01 UTC
Created attachment 198431 [details]
postfix-fix-build-on-FreeBSD13.patch

Hello,

attached is the patch that fixes the build on FreeBSD 13-CURRENT for the mail/postfix and mail/postfix-current ports.

QA:
~~~
- poudriere (10.4-, 11.2-RELEASE, 12.0-BETA1, 13.0-CURRENT@r339445 amd64 + i386) -> OK
Comment 1 commit-hook freebsd_committer 2018-10-22 16:42:21 UTC
A commit references this bug:

Author: ohauer
Date: Mon Oct 22 16:41:16 UTC 2018
New revision: 482754
URL: https://svnweb.freebsd.org/changeset/ports/482754

Log:
  - fix build on FreeBSD 13-CURRENT

  PR:		232502
  Submitted by:	Kai

Changes:
  head/mail/postfix/files/patch-makedefs
  head/mail/postfix/files/patch-src_util_sys__defs.h
  head/mail/postfix-current/files/patch-makedefs
  head/mail/postfix-current/files/patch-src_util_sys__defs.h
Comment 2 Olli Hauer freebsd_committer 2018-10-23 06:01:59 UTC
Committed,

Thanks for the patch!